Linux 4.8 hangs system when playing video

Bug #1665911 reported by Rehan Khamaruddin on 2017-02-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Yakkety
High
Unassigned
Zesty
High
Unassigned

Bug Description

I recently updated to the 16.04.2 LTS release and installed the new HWE stack which installed kernel 4.8. Ever since, my machine completely freezes when playing video (eg. Youtube). I have to power off or hard reset using physical buttons to recover. Nothing seems to be written to the logs.

Please let me know how to get additional information to help diagnose the issue.

Thanks.

Release: Ubuntu 4.8.0-36.36~16.04.1-generic 4.8.11

System: Host: rsk4 Kernel: 4.8.0-36-generic x86_64 (64 bit gcc: 5.4.0)
           Desktop: Unity 7.4.0 (Gtk 2.24.30) Distro: Ubuntu 16.04 xenial
Machine: Mobo: ASUSTeK model: M5A99FX PRO R2.0 v: Rev 1.xx
           Bios: American Megatrends v: 2501 date: 04/07/2014
CPU: Quad core AMD FX-8350 Eight-Core (-HT-MCP-) cache: 8192 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm) bmips: 32107
           clock speeds: max: 4000 MHz 1: 1400 MHz 2: 1400 MHz 3: 1400 MHz
           4: 1400 MHz 5: 1400 MHz 6: 1400 MHz 7: 1400 MHz 8: 1400 MHz
Graphics: Card: NVIDIA GK106 [GeForce GTX 650 Ti] bus-ID: 01:00.0
           Display Server: X.Org 1.18.4 driver: nvidia
           Resolution: 1920x1080@60.00hz, 1920x1080@59.93hz
           GLX Renderer: GeForce GTX 650 Ti/PCIe/SSE2
           GLX Version: 4.5.0 NVIDIA 378.13 Direct Rendering: Yes
Audio: Card-1 NVIDIA GK106 HDMI Audio Controller
           driver: snd_hda_intel bus-ID: 01:00.1
           Card-2 Advanced Micro Devices [AMD/ATI] SBx00 Azalia (Intel HDA)
           driver: snd_hda_intel bus-ID: 00:14.2
           Sound: Advanced Linux Sound Architecture v: k4.8.0-36-generic
Network: Card-1: Intel 82541PI Gigabit Ethernet Controller
           driver: e1000 v: 7.3.21-k8-NAPI port: d000 bus-ID: 05:05.0
           IF: eth1 state: up speed: 1000 Mbps duplex: full mac: <filter>
           Card-2: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169 v: 2.3LK-NAPI port: b000 bus-ID: 09:00.0
           IF: eth0 state: down mac: <filter>
Drives: HDD Total Size: 740.2GB (42.4% used)
           ID-1: /dev/sda model: SPCC_Solid_State size: 240.1GB temp: 30C
           ID-2: /dev/sdb model: ST500DM002 size: 500.1GB temp: 27C
Partition: ID-1: / size: 34G used: 13G (40%) fs: ext4 dev: /dev/sda1
RAID: No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors: System Temperatures: cpu: 28.0C mobo: 19.4C gpu: 0.0:35C
           Fan Speeds (in rpm): cpu: 0 fan-1: 1308 fan-2: 1028 fan-3: 0
Info: Processes: 284 Uptime: 6 min Memory: 1564.9/32075.1MB
           Init: systemd runlevel: 5 Gcc sys: 5.4.0
           Client: Shell (bash 4.3.461) inxi: 2.2.35
---
ApportVersion: 2.20.1-0ubuntu2.5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: rehan 3527 F.... pulseaudio
 /dev/snd/controlC0: rehan 3527 F.... pulseaudio
CurrentDesktop: Unity
DistroRelease: Ubuntu 16.04
HibernationDevice: RESUME=UUID=796bfa06-20c4-4486-b4b3-6ea3ed8e0a7b
InstallationDate: Installed on 2012-11-12 (1558 days ago)
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120328)
IwConfig:
 eth0 no wireless extensions.

 eth1 no wireless extensions.

 lo no wireless extensions.
MachineType: To be filled by O.E.M. To be filled by O.E.M.
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.8.0-36-generic root=UUID=6cbf5176-699e-40cd-8119-3e1802a1e70a ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 4.8.0-36.36~16.04.1-generic 4.8.11
RelatedPackageVersions:
 linux-restricted-modules-4.8.0-36-generic N/A
 linux-backports-modules-4.8.0-36-generic N/A
 linux-firmware 1.157.8
RfKill:

Tags: xenial
Uname: Linux 4.8.0-36-generic x86_64
UpgradeStatus: Upgraded to xenial on 2016-09-04 (167 days ago)
UserGroups: adm cdrom dip lp lpadmin mythtv plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 04/07/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2501
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: M5A99FX PRO R2.0
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2501:bd04/07/2014:svnTobefilledbyO.E.M.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnASUSTeKCOMPUTERINC.:rnM5A99FXPROR2.0:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: To be filled by O.E.M.

Rehan Khamaruddin (rsk02) wrote :

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1665911

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Rehan Khamaruddin (rsk02) wrote :

Changing status to confirmed per instructions received in email. The system crash does not permit apport bug reporting as apport simply doesn't detect a crash. The hard freeze of the system is preventing logs from being written to disk.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

apport information

tags: added: apport-collected xenial
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Rehan Khamaruddin (rsk02) wrote :

I downgraded the nvidia driver to nvidia-current-updates (304). The system locked-up again while playing videos but this time around it came back for a few seconds. While the mouse and keyboard were not responsive, I was able to see the video move rapidly and my conky scripts were updating for the same period. The logs above are from the session immediately following the hard reset. The only interesting info in the logs is reproproduced below:

Feb 18 10:10:37 rsk4 kernel: [ 459.762852] ohci-pci 0000:00:13.0: HC died; cleaning up
Feb 18 10:10:37 rsk4 kernel: [ 459.972980] clocksource: timekeeping watchdog on CPU2: Marking clocksource 'tsc' as unstable because the skew is too large:
Feb 18 10:10:37 rsk4 kernel: [ 459.972984] clocksource: 'hpet' wd_now: 2cf1234a wd_last: 882f4fcf mask: ffffffff
Feb 18 10:10:37 rsk4 kernel: [ 459.972986] clocksource: 'tsc' cs_now: 1c80b7be591 cs_last: 1c797b32b32 mask: ffffffffffffffff
Feb 18 10:10:37 rsk4 kernel: [ 459.973151] clocksource: Switched to clocksource hpet
Feb 18 10:10:38 rsk4 kernel: [ 460.648506] snd_hda_intel 0000:00:14.2: spurious response 0x0:0x0, last cmd=0x10a0000
Feb 18 10:10:38 rsk4 kernel: [ 460.648515] snd_hda_intel 0000:00:14.2: spurious response 0x0:0x0, last cmd=0x10a0000
Feb 18 10:10:38 rsk4 kernel: [ 460.648831] snd_hda_intel 0000:00:14.2: spurious response 0x800:0x0, last cmd=0x10a0000
Feb 18 10:10:38 rsk4 kernel: [ 460.649108] snd_hda_intel 0000:00:14.2: spurious response 0x0:0x0, last cmd=0x10a0000
Feb 18 10:11:54 rsk4 gnome-session[6450]: message repeated 95 times: [ ERROR: Error querying target relations]
Feb 18 10:11:56 rsk4 ntpd[1673]: Soliciting pool server 132.163.4.101
Feb 18 10:11:57 rsk4 ntpd[1673]: Soliciting pool server 138.236.128.112
Feb 18 10:11:58 rsk4 ntpd[1673]: Soliciting pool server 199.241.184.162
Feb 18 10:12:04 rsk4 gnome-session[6450]: ERROR: Error querying target relations

Rehan Khamaruddin (rsk02) wrote :

Further update: It appears that the lockup happens only when streaming video and not when playing local files. There is a possibility that could be network related. Definitely does not happen with the 4.4x kernel.

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.10 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.10

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: kernel-da-key
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Rehan Khamaruddin (rsk02) wrote :

I have tested with 4.10 (linux-image-4.10.0-041000-generic_4.10.0-041000.201702191831_amd64) and can confirm that the lockup can be reproduced in this kernel as well.

Some additional information that may help:

1. This is a multiboot machine and I have Arch and Manjaro installed. I can reproduce the lockup on both (kernel 4.9x) so this definitely appears to be something to do with kernel.
2. The problem seems to also be network related as the lockups occur most frequently with streaming video.

Kernel 4.4x LTS is rock-solid and does not exhibit this behavior.

Let me know what else I can do to help troubleshoot and identify the issue.

Thanks.

tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Yakkety):
status: New → Confirmed
importance: Undecided → High

This bug was nominated against a series that is no longer supported, ie yakkety. The bug task representing the yakkety nomination is being closed as Won't Fix.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu Yakkety):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers